OSDN Git Service

Merge branch 'branch_0.12.0' into sandbox
authorkonn <konn@1a406e8e-add9-4483-a2c8-d8cac5b7c224>
Fri, 7 Nov 2008 15:31:55 +0000 (15:31 +0000)
committerkonn <konn@1a406e8e-add9-4483-a2c8-d8cac5b7c224>
Fri, 7 Nov 2008 15:31:55 +0000 (15:31 +0000)
Conflicts:

configure
configure.ac
src/Makefile.am
src/Makefile.in

git-svn-id: svn+ssh://svn.sourceforge.jp/svnroot/modchxj/mod_chxj/branches/sandbox@3618 1a406e8e-add9-4483-a2c8-d8cac5b7c224

1  2 
configure
configure.ac
include/config.h
src/Makefile.am
src/Makefile.in
src/mod_chxj.c
src/qs_parse_string.c

diff --cc configure
+++ b/configure
@@@ -1,7 -1,7 +1,9 @@@
  #! /bin/sh
  # Guess values for system-dependent variables and create Makefiles.
- # Generated by GNU Autoconf 2.61 for mod_chxj 0.12.13.
+ # Generated by GNU Autoconf 2.61 for mod_chxj 0.12.18.
+ #
++# Report bugs to <konn@users.sourceforge.jp>.
 +#
  # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
  # 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
  # This configure script is free software; the Free Software Foundation
@@@ -726,9 -726,9 +728,9 @@@ SHELL=${CONFIG_SHELL-/bin/sh
  # Identity of this package.
  PACKAGE_NAME='mod_chxj'
  PACKAGE_TARNAME='mod_chxj'
- PACKAGE_VERSION='0.12.13'
- PACKAGE_STRING='mod_chxj 0.12.13'
- PACKAGE_BUGREPORT=''
+ PACKAGE_VERSION='0.12.18'
+ PACKAGE_STRING='mod_chxj 0.12.18'
 -PACKAGE_BUGREPORT=''
++PACKAGE_BUGREPORT='konn@users.sourceforge.jp'
  
  ac_unique_file="src/mod_chxj.c"
  # Factoring default headers for most tests.
@@@ -1532,6 -1532,6 +1534,7 @@@ Some influential environment variables
  Use these variables to override the choices made by `configure' or to help
  it to find libraries and programs with nonstandard names/locations.
  
++Report bugs to <konn@users.sourceforge.jp>.
  _ACEOF
  ac_status=$?
  fi
@@@ -4459,7 -4459,7 +4462,7 @@@ ia64-*-hpux*
    ;;
  *-*-irix6*)
    # Find out which ABI we are using.
--  echo '#line 4462 "configure"' > conftest.$ac_ext
++  echo '#line 4465 "configure"' > conftest.$ac_ext
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    (eval $ac_compile) 2>&5
    ac_status=$?
@@@ -5228,7 -5228,7 +5231,12 @@@ echo "$as_me: WARNING: $ac_header:     
  echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
      { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
  echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
--
++    ( cat <<\_ASBOX
++## ---------------------------------------- ##
++## Report this to konn@users.sourceforge.jp ##
++## ---------------------------------------- ##
++_ASBOX
++     ) | sed "s/^/$as_me: WARNING:     /" >&2
      ;;
  esac
  { echo "$as_me:$LINENO: checking for $ac_header" >&5
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
--   (eval echo "\"\$as_me:7188: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:7196: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>conftest.err)
     ac_status=$?
     cat conftest.err >&5
--   echo "$as_me:7192: \$? = $ac_status" >&5
++   echo "$as_me:7200: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s "$ac_outfile"; then
       # The compiler can only warn and ignore the option if not recognized
       # So say no if there are warnings other than the usual output.
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
--   (eval echo "\"\$as_me:7456: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:7464: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>conftest.err)
     ac_status=$?
     cat conftest.err >&5
--   echo "$as_me:7460: \$? = $ac_status" >&5
++   echo "$as_me:7468: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s "$ac_outfile"; then
       # The compiler can only warn and ignore the option if not recognized
       # So say no if there are warnings other than the usual output.
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
--   (eval echo "\"\$as_me:7560: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:7568: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>out/conftest.err)
     ac_status=$?
     cat out/conftest.err >&5
--   echo "$as_me:7564: \$? = $ac_status" >&5
++   echo "$as_me:7572: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s out/conftest2.$ac_objext
     then
       # The compiler can only warn and ignore the option if not recognized
@@@ -9854,7 -9854,7 +9862,7 @@@ els
    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    lt_status=$lt_dlunknown
    cat > conftest.$ac_ext <<EOF
--#line 9857 "configure"
++#line 9865 "configure"
  #include "confdefs.h"
  
  #if HAVE_DLFCN_H
@@@ -9954,7 -9954,7 +9962,7 @@@ els
    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    lt_status=$lt_dlunknown
    cat > conftest.$ac_ext <<EOF
--#line 9957 "configure"
++#line 9965 "configure"
  #include "confdefs.h"
  
  #if HAVE_DLFCN_H
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
--   (eval echo "\"\$as_me:12293: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:12301: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>conftest.err)
     ac_status=$?
     cat conftest.err >&5
--   echo "$as_me:12297: \$? = $ac_status" >&5
++   echo "$as_me:12305: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s "$ac_outfile"; then
       # The compiler can only warn and ignore the option if not recognized
       # So say no if there are warnings other than the usual output.
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
--   (eval echo "\"\$as_me:12397: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:12405: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>out/conftest.err)
     ac_status=$?
     cat out/conftest.err >&5
--   echo "$as_me:12401: \$? = $ac_status" >&5
++   echo "$as_me:12409: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s out/conftest2.$ac_objext
     then
       # The compiler can only warn and ignore the option if not recognized
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
--   (eval echo "\"\$as_me:13958: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:13966: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>conftest.err)
     ac_status=$?
     cat conftest.err >&5
--   echo "$as_me:13962: \$? = $ac_status" >&5
++   echo "$as_me:13970: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s "$ac_outfile"; then
       # The compiler can only warn and ignore the option if not recognized
       # So say no if there are warnings other than the usual output.
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
--   (eval echo "\"\$as_me:14062: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:14070: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>out/conftest.err)
     ac_status=$?
     cat out/conftest.err >&5
--   echo "$as_me:14066: \$? = $ac_status" >&5
++   echo "$as_me:14074: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s out/conftest2.$ac_objext
     then
       # The compiler can only warn and ignore the option if not recognized
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
--   (eval echo "\"\$as_me:16249: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:16257: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>conftest.err)
     ac_status=$?
     cat conftest.err >&5
--   echo "$as_me:16253: \$? = $ac_status" >&5
++   echo "$as_me:16261: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s "$ac_outfile"; then
       # The compiler can only warn and ignore the option if not recognized
       # So say no if there are warnings other than the usual output.
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
--   (eval echo "\"\$as_me:16517: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:16525: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>conftest.err)
     ac_status=$?
     cat conftest.err >&5
--   echo "$as_me:16521: \$? = $ac_status" >&5
++   echo "$as_me:16529: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s "$ac_outfile"; then
       # The compiler can only warn and ignore the option if not recognized
       # So say no if there are warnings other than the usual output.
     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
     -e 's:$: $lt_compiler_flag:'`
--   (eval echo "\"\$as_me:16621: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:16629: $lt_compile\"" >&5)
     (eval "$lt_compile" 2>out/conftest.err)
     ac_status=$?
     cat out/conftest.err >&5
--   echo "$as_me:16625: \$? = $ac_status" >&5
++   echo "$as_me:16633: \$? = $ac_status" >&5
     if (exit $ac_status) && test -s out/conftest2.$ac_objext
     then
       # The compiler can only warn and ignore the option if not recognized
@@@ -19955,8 -19954,6 +19963,7 @@@ LIBS="${LIBS} `${APR_CONFIG} --ldflags
  LIBS="${LIBS} `${APU_CONFIG} --ldflags` `${APU_CONFIG} --libs` "
  LIBS="${LIBS} ${MYSQL_COOKIE_LIBS}"
  LIBS="${LIBS} ${MEMCACHE_COOKIE_LIBS} "
- LIBS="${LIBS} serf/.libs/libserf-0.a"
 +LIBS="${LIBS} css/src/.libs/libscss.a"
  CFLAGS="${CFLAGS} `${WAND_CONFIG} --cppflags` `${WAND_CONFIG} --cflags`"
  CFLAGS="${CFLAGS} `${APR_CONFIG} --includes` `${APR_CONFIG} --cflags` `${APR_CONFIG} --cppflags`"
  CFLAGS="${CFLAGS} `${APU_CONFIG} --includes`"
@@@ -20264,7 -20261,7 +20271,12 @@@ echo "$as_me: WARNING: $ac_header:     
  echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
      { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
  echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
--
++    ( cat <<\_ASBOX
++## ---------------------------------------- ##
++## Report this to konn@users.sourceforge.jp ##
++## ---------------------------------------- ##
++_ASBOX
++     ) | sed "s/^/$as_me: WARNING:     /" >&2
      ;;
  esac
  { echo "$as_me:$LINENO: checking for $ac_header" >&5
@@@ -20406,7 -20403,7 +20418,12 @@@ echo "$as_me: WARNING: $ac_header:     
  echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
      { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
  echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
--
++    ( cat <<\_ASBOX
++## ---------------------------------------- ##
++## Report this to konn@users.sourceforge.jp ##
++## ---------------------------------------- ##
++_ASBOX
++     ) | sed "s/^/$as_me: WARNING:     /" >&2
      ;;
  esac
  { echo "$as_me:$LINENO: checking for $ac_header" >&5
@@@ -20546,7 -20543,7 +20563,12 @@@ echo "$as_me: WARNING: $ac_header:     
  echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
      { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
  echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
--
++    ( cat <<\_ASBOX
++## ---------------------------------------- ##
++## Report this to konn@users.sourceforge.jp ##
++## ---------------------------------------- ##
++_ASBOX
++     ) | sed "s/^/$as_me: WARNING:     /" >&2
      ;;
  esac
  { echo "$as_me:$LINENO: checking for $ac_header" >&5
@@@ -20686,7 -20683,7 +20708,12 @@@ echo "$as_me: WARNING: $ac_header:     
  echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
      { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
  echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
--
++    ( cat <<\_ASBOX
++## ---------------------------------------- ##
++## Report this to konn@users.sourceforge.jp ##
++## ---------------------------------------- ##
++_ASBOX
++     ) | sed "s/^/$as_me: WARNING:     /" >&2
      ;;
  esac
  { echo "$as_me:$LINENO: checking for $ac_header" >&5
@@@ -20826,7 -20833,7 +20853,12 @@@ echo "$as_me: WARNING: $ac_header:     
  echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
      { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
  echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
--
++    ( cat <<\_ASBOX
++## ---------------------------------------- ##
++## Report this to konn@users.sourceforge.jp ##
++## ---------------------------------------- ##
++_ASBOX
++     ) | sed "s/^/$as_me: WARNING:     /" >&2
      ;;
  esac
  { echo "$as_me:$LINENO: checking for $ac_header" >&5
  
  done
  
 +
 +for ac_header in libgen.h
 +do
 +as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
 +  { echo "$as_me:$LINENO: checking for $ac_header" >&5
 +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
 +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +fi
 +ac_res=`eval echo '${'$as_ac_Header'}'`
 +             { echo "$as_me:$LINENO: result: $ac_res" >&5
 +echo "${ECHO_T}$ac_res" >&6; }
 +else
 +  # Is the header compilable?
 +{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
 +echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
 +cat >conftest.$ac_ext <<_ACEOF
 +/* confdefs.h.  */
 +_ACEOF
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
 +$ac_includes_default
 +#include <$ac_header>
 +_ACEOF
 +rm -f conftest.$ac_objext
 +if { (ac_try="$ac_compile"
 +case "(($ac_try" in
 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 +  *) ac_try_echo=$ac_try;;
 +esac
 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +  (eval "$ac_compile") 2>conftest.er1
 +  ac_status=$?
 +  grep -v '^ *+' conftest.er1 >conftest.err
 +  rm -f conftest.er1
 +  cat conftest.err >&5
 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 +  (exit $ac_status); } && {
 +       test -z "$ac_c_werror_flag" ||
 +       test ! -s conftest.err
 +       } && test -s conftest.$ac_objext; then
 +  ac_header_compiler=yes
 +else
 +  echo "$as_me: failed program was:" >&5
 +sed 's/^/| /' conftest.$ac_ext >&5
 +
 +      ac_header_compiler=no
 +fi
 +
 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
 +echo "${ECHO_T}$ac_header_compiler" >&6; }
 +
 +# Is the header present?
 +{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
 +echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
 +cat >conftest.$ac_ext <<_ACEOF
 +/* confdefs.h.  */
 +_ACEOF
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
 +#include <$ac_header>
 +_ACEOF
 +if { (ac_try="$ac_cpp conftest.$ac_ext"
 +case "(($ac_try" in
 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 +  *) ac_try_echo=$ac_try;;
 +esac
 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
 +  ac_status=$?
 +  grep -v '^ *+' conftest.er1 >conftest.err
 +  rm -f conftest.er1
 +  cat conftest.err >&5
 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 +  (exit $ac_status); } >/dev/null && {
 +       test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
 +       test ! -s conftest.err
 +       }; then
 +  ac_header_preproc=yes
 +else
 +  echo "$as_me: failed program was:" >&5
 +sed 's/^/| /' conftest.$ac_ext >&5
 +
 +  ac_header_preproc=no
 +fi
 +
 +rm -f conftest.err conftest.$ac_ext
 +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
 +echo "${ECHO_T}$ac_header_preproc" >&6; }
 +
 +# So?  What about this header?
 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
 +  yes:no: )
 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
 +echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
 +echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
 +    ac_header_preproc=yes
 +    ;;
 +  no:yes:* )
 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
 +echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
 +echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
 +echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
 +echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
 +echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
 +echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
++    ( cat <<\_ASBOX
++## ---------------------------------------- ##
++## Report this to konn@users.sourceforge.jp ##
++## ---------------------------------------- ##
++_ASBOX
++     ) | sed "s/^/$as_me: WARNING:     /" >&2
 +    ;;
 +esac
 +{ echo "$as_me:$LINENO: checking for $ac_header" >&5
 +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
 +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
 +  eval "$as_ac_Header=\$ac_header_preproc"
 +fi
 +ac_res=`eval echo '${'$as_ac_Header'}'`
 +             { echo "$as_me:$LINENO: result: $ac_res" >&5
 +echo "${ECHO_T}$ac_res" >&6; }
 +
 +fi
 +if test `eval echo '${'$as_ac_Header'}'` = yes; then
 +  cat >>confdefs.h <<_ACEOF
 +#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
 +_ACEOF
 +
 +fi
 +
 +done
 +
  if test "x$use_pcre_flag" = "xyes" ; then
    if test "x$with_pcre_config" = "x" ; then
      # Extract the first word of "pcre-config", so it can be a program name with args.
@@@ -21325,7 -21192,7 +21362,12 @@@ echo "$as_me: WARNING: $ac_header:     
  echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
      { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
  echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
--
++    ( cat <<\_ASBOX
++## ---------------------------------------- ##
++## Report this to konn@users.sourceforge.jp ##
++## ---------------------------------------- ##
++_ASBOX
++     ) | sed "s/^/$as_me: WARNING:     /" >&2
      ;;
  esac
  { echo "$as_me:$LINENO: checking for $ac_header" >&5
  
  
  
- ac_config_files="$ac_config_files Makefile src/Makefile"
 +
 +
+ ac_config_files="$ac_config_files Makefile src/Makefile support/centos/mod-chxj.spec"
  
  cat >confcache <<\_ACEOF
  # This file is a shell script that caches the results of configure
diff --cc configure.ac
@@@ -248,8 -247,6 +248,7 @@@ LIBS="${LIBS} `${APR_CONFIG} --ldflags
  LIBS="${LIBS} `${APU_CONFIG} --ldflags` `${APU_CONFIG} --libs` "
  LIBS="${LIBS} ${MYSQL_COOKIE_LIBS}"
  LIBS="${LIBS} ${MEMCACHE_COOKIE_LIBS} "
- LIBS="${LIBS} serf/.libs/libserf-0.a"
 +LIBS="${LIBS} css/src/.libs/libscss.a"
  CFLAGS="${CFLAGS} `${WAND_CONFIG} --cppflags` `${WAND_CONFIG} --cflags`"
  CFLAGS="${CFLAGS} `${APR_CONFIG} --includes` `${APR_CONFIG} --cflags` `${APR_CONFIG} --cppflags`"
  CFLAGS="${CFLAGS} `${APU_CONFIG} --includes`"
@@@ -301,9 -307,7 +300,9 @@@ AC_SUBST(QDEFS
  AC_SUBST(DDEFS)
  AC_SUBST(LIBS)
  AC_SUBST(CFLAGS)
 +AC_SUBST(APR_CONFIG)
 +AC_SUBST(APU_CONFIG)
  
  
- AC_CONFIG_FILES([Makefile src/Makefile])
+ AC_CONFIG_FILES([Makefile src/Makefile support/centos/mod-chxj.spec])
  AC_OUTPUT
@@@ -90,7 -90,7 +90,7 @@@
  #define PACKAGE "mod_chxj"
  
  /* Define to the address where bug reports for this package should be sent. */
--#define PACKAGE_BUGREPORT ""
++#define PACKAGE_BUGREPORT "konn@users.sourceforge.jp"
  
  /* Define to the full name of this package. */
  #define PACKAGE_NAME "mod_chxj"
diff --cc src/Makefile.am
@@@ -39,30 -38,26 +39,31 @@@ libmod_chxj_la_SOURCES = mod_chxj.c 
      chxj_dbm.c \
      chxj_buffered_write.c \
      chxj_apache.c \
 -    chxj_serf.c
 +    chxj_serf.c \
 +    chxj_css.c
  
  
 -libmod_chxj_la_CFLAGS = -O2 -prefer-pic @QDEFS@ @DDEFS@ -I. -I../include -I@with_apache_header@  -I./serf
 +libmod_chxj_la_CFLAGS = -O2 -prefer-pic @QDEFS@ @DDEFS@ -I. -I../include -I@with_apache_header@  -I./serf -I./css/include
  AM_CFLAGS = @CFLAGS@ -O2 -prefer-pic @QDEFS@ @DDEFS@ -I. -I../include -I@with_apache_header@
- libmod_chxj_la_DEPENDENCIES = serf/libserf-0.la css/src/libscss.la
+ libmod_chxj_la_LIBADD = serf/.libs/libserf-0.a
  lib_LTLIBRARIES = libmod_chxj.la
  
  make_so:
        @if test ! -L mod_chxj.so ; then ln -s .libs/libmod_chxj.so mod_chxj.so ; fi
  
- serf/libserf-0.la:
+ serf/.libs/libserf-0.a:
        (cd serf; CFLAGS=-fPIC CXXFLAGS=-fPIC ./configure --enable-shared --with-apr=`dirname @APR_CONFIG@` --with-apr-util=`dirname @APU_CONFIG@`; make)
  
 +css/src/libscss.la:
 +      (cd css; ./configure --with-apr-config=@APR_CONFIG@ --with-apu-config=@APU_CONFIG@; make)
 +
  clean:
        rm -fr .libs
        rm -f *.o *.lo *.la
        rm -f mod_chxj.so
 -      (cd serf; make clean)
+       rm -f serf/libserf-0.la
 +      @(cd serf; make clean)
 +      @(cd css; make clean)
  
  install: make_so
        @@APXS@ -i -n "chxj" @PACKAGE_NAME@.so 
diff --cc src/Makefile.in
@@@ -263,12 -261,11 +263,12 @@@ libmod_chxj_la_SOURCES = mod_chxj.c 
      chxj_dbm.c \
      chxj_buffered_write.c \
      chxj_apache.c \
 -    chxj_serf.c
 +    chxj_serf.c \
 +    chxj_css.c
  
 -libmod_chxj_la_CFLAGS = -O2 -prefer-pic @QDEFS@ @DDEFS@ -I. -I../include -I@with_apache_header@  -I./serf
 +libmod_chxj_la_CFLAGS = -O2 -prefer-pic @QDEFS@ @DDEFS@ -I. -I../include -I@with_apache_header@  -I./serf -I./css/include
  AM_CFLAGS = @CFLAGS@ -O2 -prefer-pic @QDEFS@ @DDEFS@ -I. -I../include -I@with_apache_header@
- libmod_chxj_la_DEPENDENCIES = serf/libserf-0.la css/src/libscss.la
+ libmod_chxj_la_LIBADD = serf/.libs/libserf-0.a
  lib_LTLIBRARIES = libmod_chxj.la
  all: all-am
  
@@@ -877,18 -858,15 +877,19 @@@ uninstall-am: uninstall-libLTLIBRARIE
  make_so:
        @if test ! -L mod_chxj.so ; then ln -s .libs/libmod_chxj.so mod_chxj.so ; fi
  
- serf/libserf-0.la:
+ serf/.libs/libserf-0.a:
        (cd serf; CFLAGS=-fPIC CXXFLAGS=-fPIC ./configure --enable-shared --with-apr=`dirname @APR_CONFIG@` --with-apr-util=`dirname @APU_CONFIG@`; make)
  
 +css/src/libscss.la:
 +      (cd css; ./configure --with-apr-config=@APR_CONFIG@ --with-apu-config=@APU_CONFIG@; make)
 +
  clean:
        rm -fr .libs
        rm -f *.o *.lo *.la
        rm -f mod_chxj.so
 -      (cd serf; make clean)
+       rm -f serf/libserf-0.la
 +      @(cd serf; make clean)
 +      @(cd css; make clean)
  
  install: make_so
        @@APXS@ -i -n "chxj" @PACKAGE_NAME@.so 
diff --cc src/mod_chxj.c
Simple merge
Simple merge